Change log for commons-configuration package in Ubuntu

114 of 14 results
Published in disco-release on 2018-10-30
Published in cosmic-release on 2018-05-01
Published in bionic-release on 2017-10-24
Published in artful-release on 2017-07-03
Deleted in artful-proposed (Reason: moved to release)
commons-configuration (1.10-5) unstable; urgency=medium

  * Removed the unused build dependency on ant
  * Standards-Version updated to 4.0.0
  * Switch to debhelper level 10
  * Use secure Vcs-* URLs

 -- Emmanuel Bourg <email address hidden>  Wed, 28 Jun 2017 13:59:09 +0200
Superseded in artful-release on 2017-07-03
Obsolete in zesty-release on 2018-06-22
Obsolete in yakkety-release on 2018-01-23
Published in xenial-release on 2015-12-18
Deleted in xenial-proposed (Reason: moved to release)
commons-configuration (1.10-4ubuntu1) xenial; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Build-depend on libmaven-scm-java to fix FTBFS.
  * Build-depend on libmaven-scm-providers-java as well.

Available diffs

Superseded in xenial-release on 2015-12-18
Obsolete in wily-release on 2018-01-22
Deleted in wily-proposed on 2018-01-22 (Reason: moved to release)
commons-configuration (1.10-3ubuntu1) wily; urgency=medium

  * Build-depend on libmaven-scm-java to fix FTBFS.

 -- Logan Rosen <email address hidden>  Sat, 03 Oct 2015 02:26:51 -0400

Available diffs

Superseded in wily-release on 2015-10-03
Obsolete in vivid-release on 2018-01-18
Deleted in vivid-proposed on 2018-01-19 (Reason: moved to release)
commons-configuration (1.10-2) unstable; urgency=medium


  * Replaced the build dependency on libgnumail-java with libmail-java
  * Upgraded the dependency on the Servlet API (3.0 -> 3.1)
  * Updated Standards-Version to 3.9.6 (no changes)

 -- Emmanuel Bourg <email address hidden>  Tue, 30 Sep 2014 09:16:31 +0200

Available diffs

Superseded in vivid-release on 2014-10-26
Obsolete in utopic-release on 2016-11-03
Published in trusty-release on 2013-11-02
Deleted in trusty-proposed (Reason: moved to release)
commons-configuration (1.10-1) unstable; urgency=low


  * New upstream release
  * debian/control: Updated Standards-Version to 3.9.5 (no changes)
  * Build depend on debhelper >= 9

 -- Emmanuel Bourg <email address hidden>  Sat, 02 Nov 2013 07:38:45 +0100

Available diffs

Superseded in trusty-release on 2013-11-02
Obsolete in saucy-release on 2015-04-24
Deleted in saucy-proposed on 2015-04-28 (Reason: moved to release)
commons-configuration (1.9-1) unstable; urgency=low


  * New upstream release
  * debian/control:
    - Updated Standards-Version to 3.9.4 (no changes)
    - Use canonical URLs for the Vcs-* fields
    - Added new build dependencies (libjavacc-maven-plugin-java, junit4)
    - Upgraded the dependency on the Servlet API (2.5 -> 3.0)
    - Removed the dependency on the Activation Framework (glassfish-activation)
    - Replaced the dependency on glassfish-mail with libgnumail-java
    - Removed the unused dependencies:
      liblog4j1.2-java-doc, libmaven-assembly-plugin-java
    - Replaced the dependency on libcommons-jexl-java by libcommons-jexl2-java
  * debian/watch: Changed to point the official Apache distribution server
  * Removed the obsolete file debian/ant.properties
  * Installed the upstream changelog in the binary packages
  * Added the report plugins to maven.ignoreRules
  * Added the classpath attribute to the jar manifest

 -- Emmanuel Bourg <email address hidden>  Mon, 01 Jul 2013 16:29:44 +0200

Available diffs

Superseded in saucy-release on 2013-07-02
Obsolete in raring-release on 2015-04-24
Obsolete in quantal-release on 2015-04-24
Published in precise-release on 2011-10-17
commons-configuration (1.7-1) unstable; urgency=low

  * New upstream release:
    - Drop all previous patches.
    - Add B-D on libcommons-vfs-java (>= 2.0), libcommons-dbcp-java,
      libcommons-pool-java, glassfish-mail and glassfish-activation.
  * Bump Standards-Version 3.9.2: no changes needed.
  * d/copyright: Use DEP-5 format.
  * Switch to Maven build system:
    - Add B-D on maven-debian-helper
    - Use ${maven:Depends} and ${maven:OptionalDepends} for Depends
      and Recommends.

Available diffs

Superseded in precise-release on 2011-10-17
Obsolete in oneiric-release on 2015-04-24
Obsolete in natty-release on 2013-06-04
Obsolete in maverick-release on 2013-03-05
commons-configuration (1.6-5) unstable; urgency=low

  * Change Build-Depends: default-jdk-doc.
  * Convert copyright file to UTF-8.
  * Switch to source format 3.0.
  * Update Standards-Version: 3.8.4
 -- Ubuntu Archive Auto-Sync <email address hidden>   Sun,  09 May 2010 13:46:06 +0100

Available diffs

Superseded in maverick-release on 2010-05-09
Obsolete in lucid-release on 2016-10-26
Obsolete in karmic-release on 2013-03-04
commons-configuration (1.6-4) unstable; urgency=low

  * Upload to unstable.

Available diffs

Superseded in karmic-release on 2009-10-20
commons-configuration (1.6-1) unstable; urgency=low

  * new upstream release
  * Refresh our patches.

 -- Ubuntu Archive Auto-Sync <email address hidden>   Tue,  28 Apr 2009 23:00:52 +0100

Available diffs

Superseded in karmic-release on 2009-04-28
Obsolete in jaunty-release on 2013-02-28
commons-configuration (1.5-2) unstable; urgency=low

  * Change Maintainer to the pkg-java team.
  * Bump up Standards-Version: 3.8.0 (no changes needed).
  * Do no longer quote the full text of the Apache license in
    debian/copyright.

 -- Ubuntu Archive Auto-Sync <email address hidden>   Tue,  04 Nov 2008 21:16:28 +0000

Available diffs

Superseded in jaunty-release on 2008-11-05
Obsolete in intrepid-release on 2013-02-20
Obsolete in hardy-release on 2015-04-24
commons-configuration (1.5-1) unstable; urgency=low

  * new upstream release
  * Move package to Alioth and add Vcs headers in debian/control.
  * Update all references to the homepage and download address to the new
    apache structure. (Closes: #450063)
  * Add target 'get-orig-source' to debian/rules.
  * Bumped up Standards-Version to 3.7.3; no changes needed.
  * Switch from kaffe to java-gcj-compat-dev.

 -- Ubuntu Archive Auto-Sync <email address hidden>   Mon,  10 Dec 2007 09:32:52 +0000
Superseded in hardy-release on 2007-12-10
Obsolete in gutsy-release on 2011-09-16
commons-configuration (1.4-2) unstable; urgency=low

  * Remove some of the Depends because one of them was wrong and the others
    might not be real Depends. (Closes: #425017)

 -- Ubuntu Archive Auto-Sync <email address hidden>   Mon,  21 May 2007 09:25:56 +0100
Superseded in gutsy-release on 2007-05-21
Superseded in gutsy-release on 2007-05-18
commons-configuration (1.4-1) unstable; urgency=low

  * Initial release (Closes: #420165)

 -- Ubuntu Archive Auto-Sync <email address hidden>   Wed,  16 May 2007 09:01:23 +0100
114 of 14 results